summaryrefslogtreecommitdiffstats
path: root/import-layers/yocto-poky/oe-init-build-env-memres
diff options
context:
space:
mode:
authorPatrick Williams <patrick@stwcx.xyz>2016-08-17 14:31:25 -0500
committerPatrick Williams <patrick@stwcx.xyz>2016-08-22 16:43:26 +0000
commit60f9d69e016b11c468c98ea75ba0a60c44afbbc4 (patch)
treeecb49581a9e41a37943c22cd9ef3f63451b20ee7 /import-layers/yocto-poky/oe-init-build-env-memres
parente18c61205e0234b03697129c20cc69c9b3940efc (diff)
downloadtalos-openbmc-60f9d69e016b11c468c98ea75ba0a60c44afbbc4.tar.gz
talos-openbmc-60f9d69e016b11c468c98ea75ba0a60c44afbbc4.zip
yocto-poky: Move to import-layers subdir
We are going to import additional layers, so create a subdir to hold all of the layers that we import with git-subtree. Change-Id: I6f732153a22be8ca663035c518837e3cc5ec0799 Signed-off-by: Patrick Williams <patrick@stwcx.xyz>
Diffstat (limited to 'import-layers/yocto-poky/oe-init-build-env-memres')
-rwxr-xr-ximport-layers/yocto-poky/oe-init-build-env-memres90
1 files changed, 90 insertions, 0 deletions
diff --git a/import-layers/yocto-poky/oe-init-build-env-memres b/import-layers/yocto-poky/oe-init-build-env-memres
new file mode 100755
index 000000000..9e1425ea8
--- /dev/null
+++ b/import-layers/yocto-poky/oe-init-build-env-memres
@@ -0,0 +1,90 @@
+#!/bin/sh
+
+# OE Build Environment Setup Script
+#
+# Copyright (C) 2006-2011 Linux Foundation
+#
+# This program is free software; you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; either version 2 of the License, or
+# (at your option) any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program; if not, write to the Free Software
+# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
+
+#
+# Normally this is called as '. ./oe-init-build-env-memres <portnumber> <builddir>'
+#
+# This works in most shells (not dash), but not all of them pass the arguments
+# when being sourced. To workaround the shell limitation use "set <portnumber>
+# <builddir>" prior to sourcing this script.
+#
+if [ -z "$1" ]; then
+ echo "No port specified, using dynamically selected port"
+ port=-1
+else
+ port=$1
+ shift
+fi
+
+if [ -n "$BASH_SOURCE" ]; then
+ THIS_SCRIPT=$BASH_SOURCE
+elif [ -n "$ZSH_NAME" ]; then
+ THIS_SCRIPT=$0
+else
+ THIS_SCRIPT="$(pwd)/oe-init-build-env"
+fi
+if [ -n "$BBSERVER" ]; then
+ unset BBSERVER
+fi
+
+if [ -z "$ZSH_NAME" ] && [ "$0" = "$THIS_SCRIPT" ]; then
+ echo "Error: This script needs to be sourced. Please run as '. $THIS_SCRIPT'"
+ exit 1
+fi
+
+if [ -z "$OEROOT" ]; then
+ OEROOT=$(dirname "$THIS_SCRIPT")
+ OEROOT=$(readlink -f "$OEROOT")
+fi
+unset THIS_SCRIPT
+
+export OEROOT
+. $OEROOT/scripts/oe-buildenv-internal &&
+ TEMPLATECONF="$TEMPLATECONF" $OEROOT/scripts/oe-setup-builddir || {
+ unset OEROOT
+ return 1
+}
+unset OEROOT
+
+[ -z "$BUILDDIR" ] || cd "$BUILDDIR"
+
+res=1
+if [ -e bitbake.lock ] && grep : bitbake.lock > /dev/null; then
+ BBSERVER=$(cat bitbake.lock) bitbake --status-only
+ res=$?
+fi
+
+if [ $res != 0 ]; then
+ bitbake --server-only -t xmlrpc -B localhost:$port
+fi
+
+if [ $port = -1 ]; then
+ export BBSERVER=localhost:-1
+ echo "Bitbake server started on demand as needed, use bitbake -m to shut it down"
+else
+ export BBSERVER=$(cat bitbake.lock)
+
+ if [ $res = 0 ]; then
+ echo "Using existing bitbake server at: $BBSERVER, use bitbake -m to shut it down"
+ else
+ echo "Bitbake server started at: $BBSERVER, use bitbake -m to shut it down"
+ fi
+fi
+unset port res
OpenPOWER on IntegriCloud